# -*- encoding: utf-8 -*-
require File.expand_path('../lib/patriarch/version', __FILE__)

Gem::Specification.new do |spec|
  spec.authors       = ["Hugo Lepetit","Loïc Delmaire"]
  spec.email         = ["hugo@blackbid.co","loic@blackbird.co"]
  spec.description   = %q{Patriach is about adding behaviours on the fly to good old active record models.}
  spec.summary       = %q{Manage relationships between instances of your models easily}
  spec.homepage      = "https://github.com/giglemad/patriarch"
	
	spec.platform      = Gem::Platform::RUBY
	spec.licenses 		 = ['MIT']
	spec.post_install_message = "Thanks for installing Patriarch ! Since it's my first gem, please give some advice so i can improve it or even better : contribute"

  # Main dependencies
  spec.add_runtime_dependency     "verbs"
  spec.add_runtime_dependency     "railties"
  spec.add_runtime_dependency     "activerecord"
  
  # Dependencies needed for testing
	spec.add_development_dependency "rspec"
  spec.add_development_dependency "guard-rspec"  
  spec.add_development_dependency "activerecord"  
  spec.add_development_dependency "sqlite3"  
  
  # Other options ...
	spec.files         = `git ls-files`.split($\)
  spec.executables   = spec.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.name          = "patriarch"
  spec.require_paths = ["lib"]
  spec.version       = Patriarch::VERSION
end
